from fanstatic import Library, Resource

library = Library('moment.js', 'resources')

moment = Resource(library, 'moment.js', minified='moment.min.js')

moment_timezone = Resource(
    library, 'moment-timezone.js',
    minified='moment-timezone.min.js',
    depends=[moment])

moment_timezone_with_data = Resource(
    library, 'moment-timezone-with-data.js',
    minified='moment-timezone-with-data.min.js',
    depends=[moment])

moment_with_locales = Resource(
    library,
    'moment-with-locales.js',
    minified='moment-with-locales.min.js')


locales = {}

for lang in [
        'af',
        'ar-ma',
        'ar-sa',
        'ar-tn',
        'ar',
        'az',
        'be',
        'bg',
        'bn',
        'bo',
        'br',
        'bs',
        'ca',
        'cs',
        'cv',
        'cy',
        'da',
        'de-at',
        'de',
        'dv',
        'el',
        'en-au',
        'en-ca',
        'en-gb',
        'en-ie',
        'en-nz',
        'eo',
        'es',
        'et',
        'eu',
        'fa',
        'fi',
        'fo',
        'fr-ca',
        'fr-ch',
        'fr',
        'fy',
        'gd',
        'gl',
        'he',
        'hi',
        'hr',
        'hu',
        'hy-am',
        'id',
        'is',
        'it',
        'ja',
        'jv',
        'ka',
        'kk',
        'km',
        'ko',
        'ky',
        'lb',
        'lo',
        'lt',
        'lv',
        'me',
        'mk',
        'ml',
        'mr',
        'ms-my',
        'ms',
        'my',
        'nb',
        'ne',
        'nl',
        'nn',
        'pa-in',
        'pl',
        'pt-br',
        'pt',
        'ro',
        'ru',
        'se',
        'si',
        'sk',
        'sl',
        'sq',
        'sr-cyrl',
        'sr',
        'ss',
        'sv',
        'sw',
        'ta',
        'te',
        'th',
        'tl-ph',
        'tlh',
        'tr',
        'tzl',
        'tzm-latn',
        'tzm',
        'uk',
        'uz',
        'vi',
        'x-pseudo',
        'zh-cn',
        'zh-tw']:
    locales[lang.replace('-', '_')] = Resource(
        library, 'locale/{}.js'.format(lang), depends=[moment])
